> For the complete documentation index, see [llms.txt](https://proweblook.gitbook.io/proweblook-help-desk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://proweblook.gitbook.io/proweblook-help-desk/api-docs/check-geo-ip.md).

# Check GEO IP

## Request:

```
curl --location 'https://ipgeo.proweblook.com/?ip=8.8.8.8&api_key=your_api_key'
```

## &#x20;                                        OR

## Check GEO IP

<mark style="color:blue;">`GET`</mark> `https://ipgeo.proweblook.com`&#x20;

To check whether number exists or not in whatsapp.

#### Request Body

| Name                                       | Type   | Description                |
| ------------------------------------------ | ------ | -------------------------- |
| ip<mark style="color:red;">\*</mark>       | string | ip which you want to check |
| api\_key<mark style="color:red;">\*</mark> | string | Your Proweblook api key    |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Response:

```
{"status":true,"ip":"8.8.8.8","range":[37.751,-97.822],"region":null,"country":"US","country_name":"United States","postal":null,"timezone":"America\/Chicago"}
```
